_USB1Interrupt:
;HID_Read_Write.c,29 :: 		void USB1Interrupt() iv IVT_USB_1 ilevel 7 ics ICS_SRS{
RDPGPR	SP, SP
ADDIU	SP, SP, -12
MFC0	R30, 12, 2
SW	R30, 8(SP)
MFC0	R30, 14, 0
SW	R30, 4(SP)
MFC0	R30, 12, 0
SW	R30, 0(SP)
INS	R30, R0, 1, 15
ORI	R30, R0, 7168
MTC0	R30, 12, 0
ADDIU	SP, SP, -4
SW	RA, 0(SP)
;HID_Read_Write.c,31 :: 		USBDev_IntHandler();
JAL	_USBDev_IntHandler+0
NOP	
;HID_Read_Write.c,32 :: 		}
L_end_USB1Interrupt:
LW	RA, 0(SP)
ADDIU	SP, SP, 4
DI	
EHB	
LW	R30, 8(SP)
MTC0	R30, 12, 2
LW	R30, 4(SP)
MTC0	R30, 14, 0
LW	R30, 0(SP)
MTC0	R30, 12, 0
ADDIU	SP, SP, 12
WRPGPR	SP, SP
ERET	
; end of _USB1Interrupt
_DataReceived:
;HID_Read_Write.c,35 :: 		void DataReceived(uint8_t ep, uint16_t size){
ADDIU	SP, SP, -16
SW	RA, 0(SP)
;HID_Read_Write.c,36 :: 		if(ep == 1){
SW	R25, 4(SP)
SW	R26, 8(SP)
SW	R27, 12(SP)
ANDI	R3, R25, 255
ORI	R2, R0, 1
BEQ	R3, R2, L__DataReceived7
NOP	
J	L_DataReceived0
NOP	
L__DataReceived7:
;HID_Read_Write.c,37 :: 		LATD.RD4 = ~LATD.RD4;
LBU	R2, Offset(LATD+0)(GP)
EXT	R2, R2, 4, 1
XORI	R3, R2, 1
LBU	R2, Offset(LATD+0)(GP)
INS	R2, R3, 4, 1
SB	R2, Offset(LATD+0)(GP)
;HID_Read_Write.c,39 :: 		USBDev_SendPacket(1, buffer, 64);
ORI	R27, R0, 64
LUI	R26, #hi_addr(_buffer+0)
ORI	R26, R26, #lo_addr(_buffer+0)
ORI	R25, R0, 1
JAL	_USBDev_SendPacket+0
NOP	
;HID_Read_Write.c,42 :: 		USBDev_SetReceiveBuffer(1, buffer);
LUI	R26, #hi_addr(_buffer+0)
ORI	R26, R26, #lo_addr(_buffer+0)
ORI	R25, R0, 1
JAL	_USBDev_SetReceiveBuffer+0
NOP	
;HID_Read_Write.c,43 :: 		}
L_DataReceived0:
;HID_Read_Write.c,44 :: 		}
L_end_DataReceived:
LW	R27, 12(SP)
LW	R26, 8(SP)
LW	R25, 4(SP)
LW	RA, 0(SP)
ADDIU	SP, SP, 16
JR	RA
NOP	
; end of _DataReceived
_main:
;HID_Read_Write.c,46 :: 		void main(void){
;HID_Read_Write.c,47 :: 		AD1PCFG = 0xFFFF;                        // Configure AN pins as digital I/O
ORI	R2, R0, 65535
SW	R2, Offset(AD1PCFG+0)(GP)
;HID_Read_Write.c,49 :: 		TRISD.RD1 = 0;
ORI	R2, R0, 2
SW	R2, Offset(TRISD+4)(GP)
;HID_Read_Write.c,50 :: 		LATD.RD1 = 1;
SW	R2, Offset(LATD+8)(GP)
;HID_Read_Write.c,51 :: 		TRISD.RD4 = 0;
ORI	R2, R0, 16
SW	R2, Offset(TRISD+4)(GP)
;HID_Read_Write.c,52 :: 		LATD.RD4 = 1;
SW	R2, Offset(LATD+8)(GP)
;HID_Read_Write.c,55 :: 		USBDev_HIDInit();
JAL	_USBDev_HIDInit+0
NOP	
;HID_Read_Write.c,58 :: 		USBDev_RegisterDataReceivedHandler(DataReceived);
LUI	R25, #hi_addr(_DataReceived+0)
ORI	R25, R25, #lo_addr(_DataReceived+0)
JAL	_USBDev_RegisterDataReceivedHandler+0
NOP	
;HID_Read_Write.c,61 :: 		USBDev_Init();
JAL	_USBDev_Init+0
NOP	
;HID_Read_Write.c,64 :: 		USBIE_bit = 1;
LUI	R2, BitMask(USBIE_bit+0)
ORI	R2, R2, BitMask(USBIE_bit+0)
_SX	8, Offset(USBIE_bit+8), 4
;HID_Read_Write.c,65 :: 		IPC11bits.USBIP = 7;
ORI	R2, R0, 7168
SH	R2, Offset(IPC11bits+8)(GP)
;HID_Read_Write.c,66 :: 		EnableInterrupts();
EI	R30
;HID_Read_Write.c,69 :: 		while(USBDev_GetDeviceState() != _USB_DEV_STATE_CONFIGURED)
L_main1:
JAL	_USBDev_GetDeviceState+0
NOP	
ANDI	R3, R2, 255
ORI	R2, R0, 16
BNE	R3, R2, L__main10
NOP	
J	L_main2
NOP	
L__main10:
;HID_Read_Write.c,70 :: 		;
J	L_main1
NOP	
L_main2:
;HID_Read_Write.c,73 :: 		USBDev_SetReceiveBuffer(1, buffer);
LUI	R26, #hi_addr(_buffer+0)
ORI	R26, R26, #lo_addr(_buffer+0)
ORI	R25, R0, 1
JAL	_USBDev_SetReceiveBuffer+0
NOP	
;HID_Read_Write.c,76 :: 		while(1){
L_main3:
;HID_Read_Write.c,87 :: 		}
J	L_main3
NOP	
;HID_Read_Write.c,89 :: 		}
L_end_main:
L__main_end_loop:
J	L__main_end_loop
NOP	
; end of _main
