#line 1 "Y:/Lonnox/Projekte/Brtje Wrmetauscher Messung/PIC32MX Clicker HID/USBdsc.c"
#line 1 "c:/users/public/documents/mikroelektronika/mikroc pro for pic32/include/stdint.h"




typedef signed char int8_t;
typedef signed int int16_t;
typedef signed long int int32_t;
typedef signed long long int64_t;


typedef unsigned char uint8_t;
typedef unsigned int uint16_t;
typedef unsigned long int uint32_t;
typedef unsigned long long uint64_t;


typedef signed char int_least8_t;
typedef signed int int_least16_t;
typedef signed long int int_least32_t;
typedef signed long long int_least64_t;


typedef unsigned char uint_least8_t;
typedef unsigned int uint_least16_t;
typedef unsigned long int uint_least32_t;
typedef unsigned long long uint_least64_t;



typedef signed long int int_fast8_t;
typedef signed long int int_fast16_t;
typedef signed long int int_fast32_t;
typedef signed long long int_fast64_t;


typedef unsigned long int uint_fast8_t;
typedef unsigned long int uint_fast16_t;
typedef unsigned long int uint_fast32_t;
typedef unsigned long long uint_fast64_t;


typedef signed long int intptr_t;
typedef unsigned long int uintptr_t;


typedef signed long long intmax_t;
typedef unsigned long long uintmax_t;
#line 10 "Y:/Lonnox/Projekte/Brtje Wrmetauscher Messung/PIC32MX Clicker HID/USBdsc.c"
const uint8_t _USB_HID_MANUFACTURER_STRING[] = "Dr.Frankenstein";
const uint8_t _USB_HID_PRODUCT_STRING[] = "Living Creature No.10";
const uint8_t _USB_HID_SERIALNUMBER_STRING[] = "0x00000003";
const uint8_t _USB_HID_CONFIGURATION_STRING[] = "HID Config desc string";
const uint8_t _USB_HID_INTERFACE_STRING[] = "HID Interface desc string";


const uint8_t _USB_HID_CONFIG_DESC_SIZ = 34+7;
const uint8_t _USB_HID_DESC_SIZ = 9;
const uint8_t _USB_HID_REPORT_DESC_SIZE = 33;
const uint8_t _USB_HID_DESCRIPTOR_TYPE = 0x21;


const uint8_t _USB_HID_IN_PACKET = 64;
const uint8_t _USB_HID_OUT_PACKET = 64;


const uint8_t _USB_HID_IN_EP = 0x81;
const uint8_t _USB_HID_OUT_EP = 0x01;


const uint8_t USB_HID_LangIDDesc[0x04] = {
 0x04,
 _USB_DEV_DESCRIPTOR_TYPE_STRING,
 0x409 & 0xFF,
 0x409 >> 8,
};



const uint8_t USB_HID_device_descriptor[] = {
 0x12,
 0x01,
 0x00,
 0x02,
 0x00,
 0x00,
 0x00,
 0x40,
 0xD8, 0x04,
 0x00, 0x01,
 0x00,
 0x01,
 0x01,
 0x02,
 0x03,
 0x01

};



const uint8_t USB_HID_cfg_descriptor[_USB_HID_CONFIG_DESC_SIZ] = {

 0x09,
 _USB_DEV_DESCRIPTOR_TYPE_CONFIGURATION,
 _USB_HID_CONFIG_DESC_SIZ & 0xFF,
 _USB_HID_CONFIG_DESC_SIZ >> 8,
 0x01,
 0x01,
 0x04,
 0xE0,
 0x32,


 0x09,
 0x04,
 0x00,
 0x00,
 0x02,
 0x03,
 0x00,
 0x00,
 5,


 0x09,
 _USB_HID_DESCRIPTOR_TYPE,
 0x01,
 0x01,
 0x00,
 0x01,
 0x22,
 _USB_HID_REPORT_DESC_SIZE,
 0x00,


 0x07,
 _USB_DEV_DESCRIPTOR_TYPE_ENDPOINT,
 _USB_HID_IN_EP,
 0x03,
 _USB_HID_IN_PACKET,
 0x00,
 0x0A,


 0x07,
 _USB_DEV_DESCRIPTOR_TYPE_ENDPOINT,
 _USB_HID_OUT_EP,
 0x03,
 _USB_HID_IN_PACKET,
 0x00,
 0x0A

};


const uint8_t USB_HID_ReportDesc[_USB_HID_REPORT_DESC_SIZE] ={
 0x06, 0x00, 0xFF,
 0x09, 0x01,
 0xA1, 0x01,

 0x19, 0x01,
 0x29, 0x40,
 0x15, 0x00,
 0x26, 0xFF, 0x00,
 0x75, 0x08,
 0x95, 64,
 0x81, 0x02,

 0x19, 0x01,
 0x29, 0x40,
 0x75, 0x08,
 0x95, 64,
 0x91, 0x02,
 0xC0
};
